Skip to main content
GET
/
workflows
/
{workflowId}
/
executions
List executions
curl --request GET \
  --url https://script.so/api/v1/workflows/{workflowId}/executions \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "initial",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "cursor": "2023-11-07T05:31:56Z"
}

Authorizations

x-api-key
string
header
required

API key authentication. Get your key from Settings → API Keys.

Path Parameters

workflowId
string<uuid>
required

Workflow ID

Query Parameters

limit
number
default:100

Maximum number of items to return (1-100) Maximum number of workflows to return (1-100)

Required range: 1 <= x <= 100
cursor
string<date-time>

Pagination cursor (created_at timestamp from previous response). Must be URL-encoded.

Response

List of executions

Paginated list of workflow executions

data
object[]
required

List of workflow executions

cursor
string<date-time> | null
required

Cursor for the next page. Null if no more results.